Package org.apache.sling.event.impl.support

# Class Environment

java.lang.Object
org.apache.sling.event.impl.support.Environment

public class Environment extends Object
This class provides "global settings" to all services, like the application id and the thread pool.

Since:
  3.0

## Field Summary

Fields
Modifier and Type
Field
Description
`static String`
`APPLICATION_ID`
Global application id.
`static org.apache.sling.commons.threads.ThreadPool`
`THREAD_POOL`
Global thread pool.

## Constructor Summary

Constructors
Constructor
Description
`Environment()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### APPLICATION_ID

public static String APPLICATION_ID
Global application id.

### THREAD_POOL

public static volatile org.apache.sling.commons.threads.ThreadPool THREAD_POOL
Global thread pool.

## Constructor Details

### Environment

public Environment()